org.appng.testsupport.persistence

## Class HsqlServerFactoryBean

- java.lang.Object
- - org.appng.testsupport.persistence.HsqlServerFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.DisposableBean, org.springframework.beans.factory.FactoryBean<org.hsqldb.Server>, org.springframework.beans.factory.InitializingBean

      public class HsqlServerFactoryBean
      extends Object
      implements org.springframework.beans.factory.FactoryBean<org.hsqldb.Server>, org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.DisposableBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HsqlServerFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `void` | `destroy()`
    `String` | `getDatabaseName()`
    `String` | `getDatabasePath()`
    `org.hsqldb.Server` | `getObject()`
    `Class<?>` | `getObjectType()`
    `int` | `getPort()`
    `void` | `init()`
    `boolean` | `isSingleton()`
    `void` | `setDatabaseName(String databaseName)`
    `void` | `setDatabasePath(String databasePath)`
    `void` | `setPort(int port)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HsqlServerFactoryBean

          public HsqlServerFactoryBean()

  - ### Method Detail

    - #### getObject

          public org.hsqldb.Server getObject()
                                      throws Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<org.hsqldb.Server>`
      Throws:
        `Exception`

    - #### getObjectType

          public Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<org.hsqldb.Server>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<org.hsqldb.Server>`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `org.springframework.beans.factory.DisposableBean`

    - #### init

          public void init()

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `Exception`

    - #### getDatabaseName

          public String getDatabaseName()

    - #### setDatabaseName

          public void setDatabaseName(String databaseName)

    - #### getPort

          public int getPort()

    - #### setPort

          public void setPort(int port)

    - #### getDatabasePath

          public String getDatabasePath()

    - #### setDatabasePath

          public void setDatabasePath(String databasePath)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.